﻿using System.ComponentModel;

namespace CustomTypeConverterDemo
{
    [TypeConverter(typeof(CustomTypeConverter))]
    public class WorktypeInfo
    {
        private string worktypeNo;
        private string worktypeName;
        
        public WorktypeInfo(string worktypeNo, string worktypeName)
        {
            this.worktypeNo = worktypeNo;
            this.worktypeName = worktypeName;
        }

        [Category("Detail")]
        public string WorktypeNo
        {
            get
            {
                return worktypeNo;
            }
            set
            {
                worktypeNo = value;
            }
        }

        [Category("Detail")]
        public string WorktypeName
        {
            get
            {
                return worktypeName;
            }
            set
            {
                worktypeName = value;
            }
        }
    }
}
